View Issue Details

IDProjectCategoryView StatusLast Update
0020240mantisbtuipublic2016-07-19 04:19
ReporteraavagyanAssigned Tosyncguru 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.0-beta.1 
Target Version2.0.0-beta.1Fixed in Version2.0.0-beta.1 
Summary0020240: Footer issue: problem + solution
Description

When: When user do not have privileges equal or above 'stored_query_create_threshold', which is needed for saving filter (on user interface it is presence or absence of 'save filter' button).

Problem: One of the <div>-s is not present. As a result part of the footer shifts left under the sidebar, so footer text is not displayed properly.

How to solve:

In core/filter_api.php, search for first presence of term 'stored_query_create_threshold'. you will see this code:


if( access_has_project_level( config_get( 'stored_query_create_threshold' ) ) ) { ?>
<div class="btn-group">


It needs to be changed to:


<div class="btn-group">
<?php
if( access_has_project_level( config_get( 'stored_query_create_threshold' ) ) ) { ?>


Additional Information

Product version: 2.0

Related to http://mantisbt.org/bugs/view.php?id=17919

TagsNo tags attached.

Activities

syncguru

syncguru

2016-07-10 02:55

developer   ~0053551

Pull request: https://github.com/mantisbt/mantisbt/pull/816

Related Changesets

MantisBT: master 70c7d7ad

2016-07-10 03:06:29

syncguru


Committer: vboctor Details Diff
Fix div location error

Relocate opening div outside of the conditional statement to match closing div

Fixes 0020240
mod - core/filter_api.php Diff File

Issue History

Date Modified Username Field Change
2015-10-30 16:56 aavagyan New Issue
2015-10-31 12:20 atrol Assigned To => syncguru
2015-10-31 12:20 atrol Status new => assigned
2015-10-31 12:20 atrol Product Version => 2.0.0-beta.1
2016-07-10 02:55 syncguru Note Added: 0053551
2016-07-10 03:07 vboctor Changeset attached => MantisBT master 70c7d7ad
2016-07-10 03:07 vboctor Assigned To syncguru => vboctor
2016-07-10 03:07 vboctor Status assigned => resolved
2016-07-10 03:07 vboctor Resolution open => fixed
2016-07-10 03:07 vboctor Fixed in Version => 2.0.0-beta.1
2016-07-10 03:08 vboctor Assigned To vboctor => syncguru
2016-07-10 03:08 vboctor Target Version => 2.0.0-beta.1
2016-07-19 04:19 vboctor Status resolved => closed